/*
 * intr.S
 *
 * This file contains assembly interrupt wrappers.
 * This file belongs to PGOS.
 *
 */

.section .text
.global _isr0
.global _isr6
.global _isr8
.global _isr11
.global _isr13
	
.type _isr0, @function
.type _isr6, @function
.type _isr8, @function
.type _isr11, @function
.type _isr13, @function
	
_isr0:
	pushal
	cld
	call isr_0
	popal
	iret

_isr6:
	pushal
	cld
	call isr_6
	popal
	iret

_isr8:
	pushal
	cld
	call isr_8
	popal
	iret

_isr11:
	pushal
	cld
	call isr_11
	popal
	iret

_isr13:
	pushal
	cld
	call isr_13
	popal
	iret
